Bug 147782 - Macro recorder: After start windowlet takes keyboard focus. Keystrokes don't go to the document.
Summary: Macro recorder: After start windowlet takes keyboard focus. Keystrokes don't ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.4.4.2 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.4.0 target:7.3.3
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Macro-Recording
  Show dependency treegraph
 
Reported: 2022-03-05 13:21 UTC by Wolfgang Jäger
Modified: 2022-03-10 09:29 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Wolfgang Jäger 2022-03-05 13:21:01 UTC
As soon as the macro recorder is started, keystrokes don't go to the document from where it was started. 
The main window must get back the focus first (Click title bar e.g.) 

Also see https://ask.libreoffice.org/t/record-macro-in-calc-cant-see-my-keystrokes/74807/12 

Testing with earlier versions (including 3.3) the bug didn't show.
Somc higher versions I tested with (up to 7.3.2) showed tghe bug.
Comment 1 Joshua Coppersmith 2022-03-05 18:57:12 UTC
Can duplicate with 7.3.0.3 on Windows 10.
Cannot duplicate with 7.2.5.2 on Ubuntu 20.04. Everything works exactly as expected.
Comment 2 Wolfgang Jäger 2022-03-05 22:37:56 UTC
Same effect when recording a macro in Writer.
Comment 3 raal 2022-03-06 08:02:47 UTC
No repro Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: c97a3592c78ce276a353f95ce68c70a8a39174a0
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo

Repro in vclplugin GEN Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: c97a3592c78ce276a353f95ce68c70a8a39174a0
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: x11
Locale: cs-CZ (cs_CZ.UTF-8); UI: en-US
Calc: threaded Jumbo

No repro Version: 6.3.0.0.alpha1+
Build ID: c98b1f1cd43b3e109bcaf6324ef2d1f449b34099
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: x11; 
Locale: cs-CZ (cs_CZ.UTF-8); UI-Language: en-US
Calc: threaded
Comment 4 raal 2022-03-06 13:06:32 UTC
This seems to have begun at the below commit.
Adding Cc: to Caolán McNamara; Could you possibly take a look at this one?
Thanks
bibisect-linux-64-6.4$ 88d92372c77724084659e1c01755de466204b5a5 is the first bad commit
commit 88d92372c77724084659e1c01755de466204b5a5
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Sat Nov 2 19:52:31 2019 +0100

    source sha:b461740a9ca89eb3b036c366ba60f24c7aad2b60

https://git.libreoffice.org/core/+/b461740a9ca89eb3b036c366ba60f24c7aad2b60
   weld SfxRecordingFloat_Impl utility window
Comment 5 Commit Notification 2022-03-07 09:00:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c641ca15f2a898b7ec66cf39ef4517a1221bab81

tdf#147782 retain focus in launching frame on first activate

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2022-03-07 09:06:10 UTC
done in trunk, backport to 7-3 in gerrit
Comment 7 Commit Notification 2022-03-10 09:29:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/57ec3c4a40847b28390e1c208d5c771409ff1cab

tdf#147782 retain focus in launching frame on first activate

It will be available in 7.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.